Skip to Content
APIAccount

Account

Get account list

Returns the list of accounts.

The value sum of start and limit must be less than or equal to 10000, and limit is capped at 50.

GET https://apilist.tronscanapi.com/api/account/list?sort=-balance&limit=20&start=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 10
sortSort field. Default: -balance. Supported fields: balance, power, totaltransactioncount. Prefix - for descending order
addressOptional account address. When provided, only the specified address is returned

Get account detail information

Returns the detail information of an account.

GET https://apilist.tronscanapi.com/api/accountv2?address=TSTVYwFDp7SBfZk7Hrz3tucwQVASyJdwC7

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address

Get account’s token list

Returns a list of tokens held by the account with a balance greater than 0.

The maximum value for limit is 200.

GET https://apilist.tronscanapi.com/api/account/tokens?address=TSTVYwFDp7SBfZk7Hrz3tucwQVASyJdwC7&start=0&limit=20&hidden=0&show=0&sortType=0&sortBy=0&token=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address
startStart number. Default: 0
limitNumber of items per page. Default: 20
hiddenWhether to hide tokens with small balance. 0: hide (default), 1: show
showToken type. Default: 0. 1: TRC20, 2: TRC721, 3: ALL, 4: TRC1155
sortBySort field. Default: 0. 1: price, 2: amount, 3: quantity
sortTypeSort order. 0: descending (default), 1: ascending
tokenSpecify token ID or token address
assetTypeAsset type. Default: 0. 0 or 1: token (ticker) results, 2: receipt-token (certificate) results

Get the voted list

Returns the voter list of a certain SR or the voted list of a certain account involving all SRs.

GET https://apilist.tronscanapi.com/api/vote?sort=&limit=20&start=0&voter=TRzQrtxrEJbSbQNwAsgAHkBMxTX47yNmjo

Try this endpoint in your browser ↗ 🔗

ParameterDescription
candidateAccount address — use when querying the voter list of a SR
voterAccount address — use when querying the voted list of a voter
startStart number. Default: 0
limitNumber of items per page. Default: 10
sortSorting method. Default: descending by number of votes
countWhen set, total count is returned with the result

Get a list of account resources

Returns the resource list of an account that has resources in Stake 1.0.

GET https://apilist.tronscanapi.com/api/account/resource?limit=500&start=0&address=TWSRE85rP7FydZKjHmmZgCYF5Dbw8AB91J&type=1&resourceType=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address
startStart number. Default: 0
limitNumber of items per page. Default: 200. Maximum: 5000
typeStake type. Default: 0 (all). 1: Freeze for yourself, 2: Freeze for others, 3: Freeze for yourself by others
resourceTypeResource type. 0: Bandwidth & Energy, 1: Bandwidth only, 2: Energy only
toAddressReceiver address — used together with type=2 to filter delegations to a specific receiver

Get a list of stake 2.0 account resources

Returns the resource list of an account that has resources in Stake 2.0.

The value sum of start and limit must be less than or equal to 10000.

GET https://apilist.tronscanapi.com/api/account/resourcev2?limit=1&start=0&address=TWSRE85rP7FydZKjHmmZgCYF5Dbw8AB91J&type=1&resourceType=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address
startStart number. Default: 0
limitNumber of items per page. Default: 10
typeStake type. Default: 0. 0: Freeze for yourself, 1: Freeze for yourself by others, 2: Freeze for others, 3: Unfreezing, 4: Pending withdrawal
resourceTypeResource type. 0: Bandwidth & Energy, 1: Bandwidth only, 2: Energy only
toAddressReceiver address — used together with type=2 to filter delegations to a specific receiver
sortSort field. Default: time. When type=2, also accepts usage / burnTrx / balance
orderSort order. Default: desc. asc for ascending

Get approval list

Returns the approval list of the specified account.

The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/account/approve/list?address=TRX6Q82wMqWNbCCiLqejbZe43wk1h1zJHm&limit=20&start=1&type=project

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address
limitNumber of items per page. Default: 10
startStart number. Default: 0
typeAggregation type: project (default) or token
transferUse mobile when requesting mobile data
relatedIdUsed with mobile data. When type=projectproject_id; when type=tokentoken_id

Get account authorization change records

Returns account authorization change records.

The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/account/approve/change?limit=20&start=0&contract_address=TUpMhErZL2fhh4sVNULAbNKLokS4GjC1F4&type=approve&from_address=TRX6Q82wMqWNbCCiLqejbZe43wk1h1zJHm&to_address=TKcEU8ekq2ZoFzLSGFYCUY6aocJBX9X31b

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contract_addressContract address (required)
from_addressOriginator address (required)
to_addressRecipient address (required)
startStart number. Default: 0
limitNumber of items per page. Default: 10
typeRecord type. approve (default) — approval records; transfer — transfer records

Get list of daily analytics data for an account over time

Returns a list of daily analytics data for an account within the specified period.

type valueDescription
0Balance — TRX balance, price of TRX on that day (calculated using USDT)
1Token transfers — number of transfers (TRX/TRC10/TRC20) and unique tokens transferred
2Energy consumption — from frozen TRX, TRX burning, contract deployers, and total
3Bandwidth consumption — from frozen TRX or free Bandwidth, from TRX burning
4Transactions — number initiated and received by the current account
GET https://apilist.tronscanapi.com/api/account/analysis?address=TUD4YXYdj2t1gP5th3A7t97mx1AUmrrQRt&type=0&start_timestamp=1514764800000&end_timestamp=1680508422169

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address
start_timestampStart time, accurate to milliseconds
end_timestampEnd time, accurate to milliseconds
typeAnalytics type. Default: 0. See table above for values 04

Get an account to participate in the project

Returns the project that an account has participated in.

GET https://apilist.tronscanapi.com/api/participate_project?address=TWSRE85rP7FydZKjHmmZgCYF5Dbw8AB91J

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address

Get account wallet token overview

Returns overview of tokens in the account wallet.

GET https://apilist.tronscanapi.com/api/account/token_asset_overview?address=TWSRE85rP7FydZKjHmmZgCYF5Dbw8AB91J

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address
sortWhether to sort by USD value descending. true: sort, false: keep insertion order

Find the address if exist on other chain

Checks whether an address exists on other blockchain networks.

GET https://apilist.tronscanapi.com/api/multiple/chain/query?address=TJAsZtFdFdkME5dAF12UMZzK9Vpqp4ri4Q

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressAccount address
Last updated on: